<div class="d-flex justify-content-between mt-4 mb-2">
  <div>
    Result (<b>{{ getCount() }}</b> rows)
  </div>
  <div
    *ngIf="result && result.rs"
    [innerHTML]="result.rs.score | gridGetHint"
  ></div>
  <div>
    <i class="fas fa-database"></i>&nbsp;<span class="badge badge-primary">{{
      result.db
    }}</span>
  </div>
</div>
<div *ngIf="getWarning()" class="alert alert-warning text-left custom">
  {{ getWarning() }}
</div>
<table *ngIf="hasRows()" class="table table-striped">
  <thead>
    <tr>
      <th class="edgar-code">#</th>
      <th
        *ngFor="let col of result.rs.data.fields; let i = index"
        class="edgar-code edgar-code-header"
      >
        <a (click)="sort('C' + i)">{{ col.name }}</a>
      </th>
    </tr>
  </thead>
  <tbody>
    <tr *ngFor="let row of result.rs.data.rows; let i = index">
      <td class="edgar-code">{{ i + 1 }}</td>
      <td
        *ngFor="let col of result.rs.data.fields; let i = index"
        class="edgar-code"
        [class.text-muted]="row['C' + i] == null"
      >
        {{ formatValue(row["C" + i]) }}
      </td>
    </tr>
  </tbody>
</table>
